import { ui } from "../ui/layaMaxUI";
import { DispatcherManager } from "../Game/DispatcherManager";
import { GameManager } from "../Game/GameManager";


export default class InGameView extends ui.InGameViewUI implements SC {
    private static instance: InGameView;
    static get Instance() {
        return InGameView.instance;
    }
    constructor() {
        super();
        InGameView.instance = this;
        this.Resize();
        DispatcherManager.on(Laya.Event.RESIZE, this, this.Resize);
    }
    OnShow(data?: any) {
        this.RefreshData();
        this.RegButton();
        this.RefreshUI();
     
    }
    Resize() {
        this.height = Laya.stage.height;
    }


    RefreshData() {
   
    }

    RegButton() {
      
    }
 
    RefreshUI() {
      
    }

    OnClose() {
        DispatcherManager.off(Laya.Event.RESIZE, this, this.Resize);
        InGameView.instance = null;
        Laya.timer.clearAll(this);

    }
}